Bug 799635 - Bluetooth regression in 2.6.42.x
Bluetooth regression in 2.6.42.x
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 13:10 EST by Russell Golden
Modified: 2013-02-13 20:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:27:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Golden 2012-03-03 13:10:47 EST
Description of problem:
I cannot get my bluetooth mouse to work in kernel 2.6.42.x. It worked fine in 2.6.41.x.

When I remove the pairing, then turn on the mouse, I get a dialog asking if I want to trust the mouse and pair with it. But I cannot select anything. This happens both with blueman and gnome-bluetooth.

When I try to add it manually, I get either a timeout, host down, or operation already in progress error.

Again, this only happens with the 2.6.42.x kernels. This did not happen in 2.6.41.x.

I am using a MacBook Pro purchased in mid-2011. I will attach my sysinfo later. I cannot do so at the moment as I am using Windows and taking a break from house cleaning.

The mouse is a Microsoft Bluetooth Notebook Mouse 5000. I am using the built-in bluetooth transceiver in the laptop.
Comment 1 Russell Golden 2012-03-03 13:36:01 EST
=== fpaste 0.3.7 System Information (fpaste --sysinfo) ===
* OS Release (lsb_release -ds):
     "Fedora release 15 (Lovelock)"
     
* Kernel (uname -r ; cat /proc/cmdline):
     2.6.42.7-1.fc15.x86_64
     ro root=UUID=8ac5e662-f03d-4adf-b935-db234332a73e rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us quiet
     
* Smolt Profile URL:
     http://www.smolts.org/client/show/pub_3553cdaa-7b05-4196-9ce3-0fac480f03dc
     
* Desktop(s) Running (ps -eo comm= | egrep '(gnome-session|kdeinit|xfce.?-session|fluxbox|blackbox|hackedbox|ratpoison|enlightenment|icewm-session|od-session|wmaker|wmx|openbox-lxde|openbox-gnome-session|openbox-kde-session|mwm|e16|fvwm|xmonad|sugar-session)' ):
     xfce4-session
     
* Desktop(s) Installed (ls -m /usr/share/xsessions/ | sed 's/\.desktop//g' ):
     icewm, LXDE, openbox, xfce
     
* SELinux Status (sestatus):
     SELinux status:                 enabled
     SELinuxfs mount:                /selinux
     Current mode:                   enforcing
     Mode from config file:          enforcing
     Policy version:                 26
     Policy from config file:        targeted
     
* SELinux Error Count (failed: "selinuxenabled && (grep avc: /var/log/messages; ausearch -m avc -ts today)2>/dev/null|egrep -o "comm=\"[^ ]+"|sort|uniq -c|sort -rn"):
     N/A

* CPU Model (grep 'model name' /proc/cpuinfo | awk -F: '{print $2}' | uniq -c | sed -re 's/^ +//' ):
     8  Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
     
* 64-bit Support (grep -q ' lm ' /proc/cpuinfo && echo Yes || echo No):
     Yes
     
* Hardware Virtualization Support (egrep -q '(vmx|svm)' /proc/cpuinfo && echo Yes || echo No):
     Yes
     
* Load average (uptime):
      12:26:54 up 2 min,  1 user,  load average: 0.91, 0.64, 0.26
     
* Memory usage (free -m):
                  total       used       free     shared    buffers     cached
     Mem:          3866        677       3189          0         46        232
     -/+ buffers/cache:        398       3468
     Swap:         2047          0       2047
     
* Top 5 CPU hogs (ps axuScnh | awk '$2!=2036' | sort -rnk3 | head -5):
          500  1658  9.7  1.5 1554764 60144 ?       Ssl  12:25   0:09 dropbox
            0     1  5.0  0.6  56440 24072 ?        Ss   12:24   0:07 systemd
          500  2005  2.2  0.2 309804 11480 ?        Sl   12:26   0:00 Terminal
            0  1277  1.5  1.1 153616 45184 tty1     Ss+  12:25   0:01 X
            0   447  1.2  0.1  20156  4572 ?        S<s  12:24   0:01 udevd
     
* Top 5 Memory hogs (ps axuScnh | sort -rnk4 | head -5):
          500  1658  9.7  1.5 1554764 60144 ?       Ssl  12:25   0:09 dropbox
            0  1277  1.5  1.1 153616 45184 tty1     Ss+  12:25   0:01 X
            0     1  5.0  0.6  56440 24072 ?        Ss   12:24   0:07 systemd
          500  1665  0.3  0.5 777220 21524 ?        Sl   12:25   0:00 gnome-settings-
          500  1620  0.1  0.5 340364 22148 ?        S    12:25   0:00 applet.py
     
* Disk space usage (df -hT):
     Filesystem    Type    Size  Used Avail Use% Mounted on
     rootfs      rootfs     20G   11G  8.2G  57% /
     udev      devtmpfs    1.9G     0  1.9G   0% /dev
     tmpfs        tmpfs    1.9G   96K  1.9G   1% /dev/shm
     tmpfs        tmpfs    1.9G  732K  1.9G   1% /run
     /dev/sda5     ext4     20G   11G  8.2G  57% /
     tmpfs        tmpfs    1.9G     0  1.9G   0% /sys/fs/cgroup
     tmpfs        tmpfs    1.9G     0  1.9G   0% /media
     /dev/sda7     ext4    152G   36G  109G  25% /home
     /dev/sda3     ext4    497M  114M  359M  24% /boot
     /dev/sda1     vfat    197M   25M  173M  13% /boot/efi
     /dev/sda5     ext4     20G   11G  8.2G  57% /tmp
     /dev/sda5     ext4     20G   11G  8.2G  57% /var/tmp
     /dev/sda7     ext4    152G   36G  109G  25% /home
     
* Block devices (blkid):
     /dev/sda1: LABEL="EFI" UUID="2860-11F4" TYPE="vfat" 
     /dev/sda2: UUID="ea54536d-e72f-3085-a7c5-2ca975eadbe4" LABEL="Macintosh HD" TYPE="hfsplus" 
     /dev/sda3: UUID="48b78a38-ca22-4762-a5d5-ef2392002c08" TYPE="ext4" 
     /dev/sda4: LABEL="BOOTCAMP" UUID="4AFEA75BFEA73DD7" TYPE="ntfs" 
     /dev/sda5: UUID="8ac5e662-f03d-4adf-b935-db234332a73e" TYPE="ext4" 
     /dev/sda6: UUID="7ba5761b-31ce-4bb8-8ec5-9e535b7101d2" TYPE="swap" 
     /dev/sda7: UUID="d32d6f14-d17e-4e21-851f-4a87ae6b3f81" TYPE="ext4" 
     
* PCI devices (lspci):
     00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
     00:01.0 PCI bridge: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port (rev 09)
     00:01.1 PCI bridge: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port (rev 09)
     00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
     00:1a.0 USB Controller: Intel Corporation Device 1c2c (rev 05)
     00:1a.7 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
     00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
     00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
     00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b5)
     00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b5)
     00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
     00:1d.0 USB Controller: Intel Corporation Device 1c27 (rev 05)
     00:1d.7 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
     00:1f.0 ISA bridge: Intel Corporation HM65 Express Chipset Family LPC Controller (rev 05)
     00:1f.2 IDE interface: Intel Corporation 6 Series/C200 Series Chipset Family 4 port SATA IDE Controller (rev 05)
     00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
     01:00.0 VGA compatible controller: ATI Technologies Inc NI Whistler [AMD Radeon HD 6600M Series]
     01:00.1 Audio device: ATI Technologies Inc Device aa90
     02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM57765 Gigabit Ethernet PCIe (rev 10)
     03:00.0 Network controller: Broadcom Corporation BCM4331 802.11a/b/g/n (rev 02)
     04:00.0 FireWire (IEEE 1394): Agere Systems FW643 PCI Express1394b Controller (PHY/Link) (rev 08)
     
* USB devices (lsusb):
     Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 001 Device 002: ID 0424:2514 Standard Microsystems Corp. USB 2.0 Hub
     Bus 001 Device 003: ID 05ac:8509 Apple, Inc. 
     Bus 002 Device 002: ID 0424:2514 Standard Microsystems Corp. USB 2.0 Hub
     Bus 001 Device 004: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
     Bus 001 Device 005: ID 05ac:0245 Apple, Inc. 
     Bus 002 Device 003: ID 05ac:8242 Apple, Inc. IR Receiver [built-in]
     Bus 001 Device 008: ID 05ac:821a Apple, Inc. 
     
* DRM Information (failed: "grep drm /var/log/dmesg"):
     N/A

* Xorg modules (grep LoadModule /var/log/Xorg.0.log | cut -d \" -f 2 | xargs):
     extmod dbe glx record dri dri2 ati radeon vesa fbdev fbdevhw exa fb ramdac evdev synaptics
     
* GL Support (glxinfo | egrep "OpenGL version|OpenGL renderer"):
     OpenGL renderer string: Gallium 0.4 on AMD TURKS
     OpenGL version string: 2.1 Mesa 7.11.2
     
* Xorg errors (failed: "grep '^\[.*(EE)' /var/log/Xorg.0.log"):
     N/A

* Kernel buffer tail (dmesg | tail):
     [   30.588727] cfg80211: Regulatory domain changed to country: US
     [   30.588729] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
     [   30.588731] cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
     [   30.588733] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
     [   30.588735] cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
     [   30.588736] cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
     [   30.588738] cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
     [   30.588739] cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
     [   40.739936] wlan0: no IPv6 routers present
     [   55.115063] hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
     
* Last few reboots (last -x -n10 reboot runlevel):
     runlevel (to lvl 5)   2.6.42.7-1.fc15. Sat Mar  3 06:25 - 12:26  (06:01)    
     reboot   system boot  2.6.42.7-1.fc15. Sat Mar  3 06:24 - 12:26  (06:02)    
     runlevel (to lvl 5)   2.6.42.7-1.fc15. Sat Feb 25 11:32 - 11:37  (00:04)    
     reboot   system boot  2.6.42.7-1.fc15. Sat Feb 25 11:32 - 11:37  (00:05)    
     runlevel (to lvl 5)   2.6.42.6-3.fc15. Sat Feb 25 05:21 - 11:31  (06:10)    
     reboot   system boot  2.6.42.6-3.fc15. Sat Feb 25 05:20 - 11:31  (06:10)    
     runlevel (to lvl 5)   2.6.42.6-3.fc15. Sun Feb 19 11:17 - 11:28  (00:10)    
     reboot   system boot  2.6.42.6-3.fc15. Sun Feb 19 11:17 - 11:28  (00:10)    
     runlevel (to lvl 5)   2.6.42.3-2.fc15. Sun Feb 19 05:06 - 11:16  (06:10)    
     reboot   system boot  2.6.42.3-2.fc15. Sun Feb 19 05:06 - 11:16  (06:10)    
     
     wtmp begins Mon Jun 27 01:28:58 2011
     
* YUM Repositories (yum -C repolist):
     Loaded plugins: aliases, changelog, fastestmirror, langpacks, local, ps,
                   : refresh-packagekit, security, show-leaves, timemirrorbandwidth,
                   : tsflags, versionlock
     repo id                   repo name                                       status
     _local                    Automatic local repo. (manged by the "local" yu    279
     Dropbox                   Dropbox Repository                                   4
     adobe-linux-x86_64        Adobe Systems Incorporated                           2
     fedora                    Fedora 15 - x86_64                              24,085
     fedora-calibre            This repo has the very newest version of calibr     18
     google-chrome             google-chrome                                        3
     google-musicmanager       google-musicmanager                                  1
     livna                     rpm.livna.org for 15 - x86_64                        5
     niveusluna-free           niveusluna-free                                     54
     niveusluna-nonfree        niveusluna-nonfree                                  13
     opera                     opera                                                9
     opera-next                opera-next                                          13
     perosb-fedora             Pers Fedora                                          6
     pidgin-gfire              The Gfire Project upstream repo                      5
     rpmfusion-free            RPM Fusion for Fedora 15 - Free                    438
     rpmfusion-free-updates    RPM Fusion for Fedora 15 - Free - Updates          587
     rpmfusion-nonfree         RPM Fusion for Fedora 15 - Nonfree                 179
     rpmfusion-nonfree-updates RPM Fusion for Fedora 15 - Nonfree - Updates       279
     updates                   Fedora 15 - x86_64 - Updates                     9,547
     repolist: 35,527
     
* YUM Extras (yum -C list extras):
     Loaded plugins: aliases, changelog, fastestmirror, langpacks, local, ps,
                   : refresh-packagekit, security, show-leaves, timemirrorbandwidth,
                   : tsflags, versionlock
     Extra Packages
     flash-plugin.x86_64           2:11.0.1.129-1          @flash                    
     flash-release.noarch          1-2                     @/flash-release-1-2.noarch
     v8.x86_64                     3.5.10-1.fc15           @fedora-chromium-stable   
     
* Last 20 packages installed (rpm -qa --nodigest --nosignature --last | head -20):
     ql2500-firmware-5.06.05-1.fc15                Sat 25 Feb 2012 11:30:33 AM CST
     libgee-0.6.4-1.fc15                           Sat 25 Feb 2012 11:30:33 AM CST
     taglib-1.7-3.fc15                             Sat 25 Feb 2012 11:30:32 AM CST
     kernel-headers-2.6.42.7-1.fc15                Sat 25 Feb 2012 11:30:32 AM CST
     calibre-0.8.41-1.fc15                         Sat 25 Feb 2012 11:30:29 AM CST
     ql2400-firmware-5.06.05-1.fc15                Sat 25 Feb 2012 11:30:23 AM CST
     python-fedora-0.3.26-1.fc15                   Sat 25 Feb 2012 11:30:22 AM CST
     gparted-0.12.0-1.fc15                         Sat 25 Feb 2012 11:30:21 AM CST
     rsyslog-5.8.7-1.fc15                          Sat 25 Feb 2012 11:30:20 AM CST
     java-1.6.0-openjdk-1.6.0.0-63.1.10.6.fc15     Sat 25 Feb 2012 11:30:17 AM CST
     kernel-devel-2.6.42.7-1.fc15                  Sat 25 Feb 2012 11:30:09 AM CST
     perf-2.6.42.7-1.fc15                          Sat 25 Feb 2012 11:30:01 AM CST
     openssh-server-5.6p1-35.fc15                  Sat 25 Feb 2012 11:30:00 AM CST
     openssh-askpass-5.6p1-35.fc15                 Sat 25 Feb 2012 11:30:00 AM CST
     openssh-clients-5.6p1-35.fc15                 Sat 25 Feb 2012 11:29:59 AM CST
     imsettings-qt-1.2.8-1.fc15                    Sat 25 Feb 2012 11:29:58 AM CST
     thai-scalable-waree-fonts-0.5.0-1.fc15        Sat 25 Feb 2012 11:29:57 AM CST
     firefox-10.0.1-1.fc15                         Sat 25 Feb 2012 11:29:56 AM CST
     perl-ExtUtils-MakeMaker-6.56-165.fc15         Sat 25 Feb 2012 11:29:53 AM CST
     perl-CPAN-1.9402-165.fc15                     Sat 25 Feb 2012 11:29:53 AM CST
Comment 2 Josh Boyer 2012-06-07 13:55:17 EDT
Is this still an issue with 2.6.43/3.3?
Comment 3 Russell Golden 2012-06-08 18:03:49 EDT
It is much worse in 3.3. Instead of simply failing, the result is a kernel panic.
Comment 4 Dave Jones 2012-10-23 11:25:58 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 5 Justin M. Forbes 2012-11-13 10:07:19 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 6 Russell Golden 2013-01-29 09:47:25 EST
I believe I have determined the source of the problem. In three words: I hate Broadcom.

This is an Early 2011 17" MacBook Pro. Take note of that model in case you hear this again.

I think the Bluetooth and the WiFi radios are both on the same chip, but Linux will only use one driver for that chip at a time. Thus, I have to choose between WiFi and Bluetooth.

I'm not sure if re-opening the bug is appropriate or not in this case. Hope this helps.
Comment 7 Fedora End Of Life 2013-02-13 20:27:47 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.